<?php

/**
 * @package Vesthelm Engine
 * @version 1.0.0
 * @copyright Copyright(c) 2010-2011, Anton Kurbanov
 * @license Open Source. For more details, please visit: http://www.vesthelm.com/license.html
 * @info Package generated specially for http://test.ir!
 */
defined('V_IN_ACP') or die('Powered by <a href="http://www.vesthelm.com/">Vesthelm EE</a>');

$result = array();

if (isset($_GET['action'])) {
    $Vesthelm->factory('Addon', true);

    $Vesthelm->includeClass('Json', true);
    $Json = new Services_JSON();

    if ('getAvailableAddons' == $_GET['action']) {
        $availableAddons = $Addon->getAvailableAddons();

        echo '({"data":' . $Json->encode($availableAddons) . '})';

        exit;
    }

    if ('getInstalledAddons' == $_GET['action']) {
        $start = (int) (isset($_GET['start']) ? $_GET['start'] : 0);
        $limit = (int) (isset($_GET['limit']) ? $_GET['limit'] : 10);
        $sortBy = isset($_GET['sort']) ? $_GET['sort'] : 'name';
        $sortDir = isset($_GET['dir']) ? $_GET['dir'] : 'ASC';
        $search_in_fields = isset($_GET['search_in_fields']) ? $_GET['search_in_fields'] : array();
        $search_value = isset($_GET['search_value']) ? $_GET['search_value'] : '';
        $status = (isset($_GET['status']) && 'all' != $_GET['status']) ? $_GET['status'] : '';

        $installedAddons = $Addon->getInstaledAddons($start, $limit, $sortBy, $sortDir, $search_in_fields, $search_value, $status);
        $total = $Addon->foundRows();

        echo '({"total":"' . $total . '","data":' . $Json->encode($installedAddons) . '})';

        exit;
    }
}

if (isset($_POST['action'])) {
    $Vesthelm->factory('Addon', true);

    $Vesthelm->includeClass('Json', true);
    $Json = new Services_JSON();

    if ('updateStatus' == $_POST['action']) {
        $updated = $Addon->updateStatus($_POST['status'], $_POST['addon']);

        if ($updated) {
            $result['success'] = true;
            $result['msg'] = $vlang['data_saved'];
            $result['type'] = 'success';

            echo '(' . $Json->encode($result) . ')';
        }

        exit;
    }

    if (in_array($_POST['action'], array('install', 'upgrade', 'uninstall'))) {
        $addonAction = $Addon->doAction($_POST['addon'], $_POST['action']);

        if ($addonAction) {
            if ($vconf['combine_addons_css']) {
                $fr_path = V_ADDONS . $_POST['addon'] . V_DS . 'frontend' . V_DS . 'tpl' . V_DS . 'css' . V_DS . $_POST['addon'] . '.css';
                $acp_path = V_ADDONS . $_POST['addon'] . V_DS . 'acp' . V_DS . 'tpl' . V_DS . 'css' . V_DS . $_POST['addon'] . '.css';

                if (file_exists($fr_path) || file_exists($acp_path)) {
                    Utils::removeFile(V_CACHE_DIR . 'vaddons_acp_css.css');
                    Utils::removeFile(V_CACHE_DIR . 'vaddons_frontend_css.css');
                }
            }

            $result['success'] = true;

            echo '(' . $Json->encode($result) . ')';
        }

        exit;
    }
}

require_once(V_ACP . 'smarty.php');

$Smarty->display('addons.tpl');
?>