<?php

/**
 * @package Vesthelm Engine
 * @version 1.0.0
 * @copyright Copyright(c) 2010-2011, Anton Kurbanov
 * @license Open Source. For more details, please visit: http://www.vesthelm.com/license.html
 * @info Package generated specially for http://test.ir!
 */
defined('V_MAIN') or die('Powered by <a href="http://www.vesthelm.com/">Vesthelm EE</a>');

require_once(V_LIBS . "phpmailer" . V_DS . "class.phpmailer.php");

class Mail extends phpmailer {

    /**
     * Mail from email
     *
     * @var string
     */
    var $From = "from@example.com";
    /**
     * Mail from name
     *
     * @var string
     */
    var $FromName = "Vesthelm mailer";
    /**
     * Mail host
     *
     * @var string
     */
    var $Host = "localhost";
    /**
     * Mailer
     *
     * @var string
     */
    var $Mailer = "mail";
    /**
     * Mail host
     *
     * @var array
     */
    var $vConfig;

    /**
     * Setup mailer
     */
    function setup() {
        $this->From = $this->vConfig['site_email'];
        $this->FromName = $this->vConfig['site_title'];
        $this->CharSet = 'utf-8';

        switch ($this->vConfig['mail_method']) {
            case 'mail':
                $this->Mailer = 'mail';
                break;

            case 'sendmail':
                $this->Mailer = 'sendmail';
                $this->Sendmail = $this->vConfig['sendmail_path'];
                break;

            case 'smtp':
                $this->Mailer = 'smtp';
                $this->Host = $this->vConfig['smtp_server'];
                $this->Port = $this->vConfig['smtp_port'];
                $this->SMTPAuth = true;
                $this->Username = $this->vConfig['smtp_user'];
                $this->Password = $this->vConfig['smtp_password'];
                break;
        }
    }

    /**
     * Sends email
     *
     * @param array $email Email (array('email', 'full_name'))
     * @param string $sname Subject name in configuration
     * @param string $bname Body name in configuration
     * @param array $replace Replaces text (array('text_key', 'value'))
     * @return bool
     */
    function sendMail($email = array(), $sname = '', $bname = '', $replace = array()) {
        $mime = $this->vConfig['mime_type'];
        $smime = ('both' == $mime) ? 'html' : $mime;

        $replace['site_title'] = $this->vConfig['site_title'];
        $replace['site_email'] = $this->vConfig['site_email'];
        $replace['site_url'] = V_URL;

        $subject = !empty($this->vConfig[$sname . '_subject_' . $smime]) ? $this->vConfig[$sname . '_subject_' . $smime] : $sname;

        foreach ($replace as $key => $value) {
            $subject = str_replace('{' . $key . '}', $value, $subject);
        }

        if ('both' == $mime) {
            $body = $this->vConfig[$bname . '_body_html'];
            $alt_body = $this->vConfig[$bname . '_body_text'];
        } else {
            $body = $this->vConfig[$bname . '_body_' . $mime];
            $this->IsHTML('html' == $mime);
        }

        $body = !empty($body) ? $body : $bname;

        foreach ($replace as $key => $value) {
            $body = str_replace('{' . $key . '}', $value, $body);
        }


        if (!empty($alt_body)) {
            $alt_body = !empty($alt_body) ? $alt_body : $bname;

            foreach ($replace as $key => $value) {
                $alt_body = str_replace('{' . $key . '}', $value, $alt_body);
            }

            $this->AltBody = $alt_body;
        }

        $this->AddAddress($email[0], $email[1]); //email, full_name
        $this->Subject = $subject;
        $this->Body = $body;

        $result = $this->Send();

        $this->ClearAddresses();

        return $result;
    }

    /**
     * Error handler
     *
     * @param string $msg Message
     */
    function error_handler($msg) {
        trigger_error("Mail error: " . $msg, E_USER_WARNING);
    }

}

?>