<?php

/**
 * @package Vesthelm Engine
 * @version 1.0.0
 * @copyright Copyright(c) 2010-2011, Anton Kurbanov
 * @license Open Source. For more details, please visit: http://www.vesthelm.com/license.html
 * @info Package generated specially for http://test.ir!
 */
defined('V_MAIN') or die('Powered by <a href="http://www.vesthelm.com/">Vesthelm EE</a>');

class Sanitization {

    /**
     * Replaces bad characters in string
     *
     * @param string $string String
     * @param string $character Replace with specific character
     * @return string
     */
    function replace($string, $character = '', $lowercase = false) {
        $string = preg_replace('/[^A-Za-z0-9_-]+/', $character, $string);
        $string = preg_replace('/\-+/', $character, $string);
        $string = trim($string, $character);
        $string = $lowercase ? strtolower($string) : $string;

        return $string;
    }

    /**
     * Replaces bad characters in path
     *
     * @param array $params
     * @return string
     */
    function validPath($params = array()) {
        $string = isset($params['str']) ? $params['str'] : '';
        $character = isset($params['char']) ? $params['char'] : '';
        $lowercase = isset($params['lower']) ? $params['lower'] : false;

        $string = preg_replace('/[^A-Za-z\/0-9_-]+/', $character, $string);
        $string = preg_replace('/\-+/', $character, $string);
        $string = trim($string, $character);
        $string = $lowercase ? strtolower($string) : $string;

        return $string;
    }

    /**
     * Replaces bad characters in string
     *
     * @param array $params
     * @return string
     */
    function validStr($params = array()) {
        $string = isset($params['str']) ? $params['str'] : '';
        $character = isset($params['char']) ? $params['char'] : '';
        $lowercase = isset($params['lower']) ? $params['lower'] : false;

        $string = preg_replace('/[^A-Za-z0-9_-]+/', $character, $string);
        $string = preg_replace('/\-+/', $character, $string);
        $string = trim($string, $character);
        $string = $lowercase ? strtolower($string) : $string;

        return $string;
    }

    /**
     * Convert special characters to HTML entities
     *
     * @param string $string String
     * @param int $quote_style Quote style
     * @return string
     */
    function specchars($string, $quote_style = ENT_QUOTES) {
        return htmlspecialchars($string, $quote_style);
    }

    /**
     * Escapes special characters in a string for use in an SQL query
     *
     * @return mixed Escaped string or FALSE on error
     */
    function escape($string) {
        return mysql_real_escape_string($string);
    }

}

?>