<?php

/**
 * @package Vesthelm Engine
 * @version 1.0.0
 * @copyright Copyright(c) 2010-2011, Anton Kurbanov
 * @license Open Source. For more details, please visit: http://www.vesthelm.com/license.html
 * @info Package generated specially for http://test.ir!
 */

define("V_IN_ACP", true);

require_once('.' . DIRECTORY_SEPARATOR . 'vesthelm.php');

$application = isset($_GET['application']) ? Sanitization::replace($_GET['application']) : '';
$addon = isset($_GET['addon']) ? Sanitization::replace($_GET['addon']) : '';

$file = isset($_GET['file']) ? Sanitization::replace($_GET['file']) : '';
$file = (empty($file) && empty($addon)) ? 'vesthelm' : ((empty($file) && !empty($addon)) ? 'index' : $file);

if (!empty($application)) {
    $fullpath = V_APPLICATIONS . $application . V_DS . 'acp' . V_DS . $file . '.php';
} else {
    $fullpath = (empty($addon)) ? V_ACP . $file . '.php' : V_ADDONS . $addon . V_DS . 'acp' . V_DS . $file . '.php';
}

if (!file_exists($fullpath) || (!empty($addon) && !array_key_exists($addon, $Vesthelm->vAddons)) || (!empty($application) && !array_key_exists($application, $Vesthelm->vApplications))) {
    $Vesthelm->debugMessage("File {$file}.php is not found in " . str_replace($file . '.php', '', $fullpath));
} else {
    $Vesthelm->callHook('beforeRequire');

    if (!empty($application)) {
        define("V_APPLICATION", $application);
        define("V_APPLICATION_ACP_CLASSES", V_APPLICATIONS . V_APPLICATION . V_DS . 'acp' . V_DS . 'classes' . V_DS);
    } elseif (!empty($addon)) {
        define("V_ADDON", $addon);
        define("V_ADDON_ACP_CLASSES", V_ADDONS . V_ADDON . V_DS . 'acp' . V_DS . 'classes' . V_DS);
    }

    define("V_REALM", $file);

    $badToken = Utils::checkToken();
    $badReferrer = Utils::checkReferrer();
    $badController = Utils::checkController();
    $badExtHeader = Utils::checkExtHeader();

    if ($badReferrer || $badToken || $badController || $badExtHeader) {
        Utils::deleteAllTokens();

        if ($badReferrer) {
            echo 'R checking failed!';
        }
        if ($badToken) {
            echo 'T checking failed!';
        }
        if ($badController) {
            echo 'C checking failed!';
        }
        if ($badExtHeader) {
            echo 'H checking failed!';
        }
    } else {
        if ('vesthelm' == $file) {
            require_once(V_ACP . 'smarty.php');

            $Smarty->display('index.tpl');
        } else {
            require_once($fullpath);
        }
    }
}

exit;
?>