{literal}
Vesthelm.applications = function(){
    /*
     *  Available applications vars
     */
    var vADataStore; //Data store
    var vAColumnModel; //Column model
    var vAGrid; //Grid

    /*
     * Installed applications vars
     */
    var vIDataStore; //Data store
    var vICheckboxSelModel = new Ext.grid.CheckboxSelectionModel(); //Checkbox selection model
    var vIColumnModel; //Column model

    /* Statuses store */
    var vIStatusesStore = new Ext.data.ArrayStore({
        fields: ['value', 'display'],
        data: [ ['active', vlanguage.active],
        ['inactive', vlanguage.inactive]
        ]
    });

    var vIStatusCombo; //Status combo

    /* Paging store */
    var vIPagingStore = new Ext.data.ArrayStore({
        fields: ['id'],
        data: [ ['10'], ['20'], ['30'], ['40'], ['50'] ]
    });

    /* Filter by status store */
    var vIFilterByStatusStore = new Ext.data.ArrayStore({
        fields: ['value', 'display'],
        data: [ ['all', vlanguage.all_statuses], ['active', vlanguage.active], ['inactive', vlanguage.inactive] ]
    });

    var vIPagingCombo; //Paging combo
    var vIFilterByStatusCombo; //Filter by status combo
    var vIPagingToolbar; //Paging toolbar
    var vSearchInFields = [ ['title'], ['description'], ['author'] ]; //SearchIn fields
    var vSearchInMenu = new Array(); //SearchIn menu
    var vISearchField; //Search field
    var vIGrid; //Grid

    /* applications url */
    var vUrl = 'index.php?file=applications';

    /*
     * Available applications grid
     */

    /* Data store */
    vADataStore = new Ext.data.Store({
        proxy: new Ext.data.HttpProxy({
            url: vUrl,
            method: 'GET'
        }),
        reader: new Ext.data.JsonReader({
            root: 'data'
        },[
        {
            name: 'title'
        },

        {
            name: 'description'
        },

        {
            name: 'author'
        },

        {
            name: 'version'
        },

        {
            name: 'action'
        }
        ]),
        baseParams: {
            action: 'getAvailableApplications'
        }
    });
    
    /* Column model */
    vAColumnModel = new Ext.grid.ColumnModel({
        defaults: {
            sortable: true
        },
        columns: [new Ext.grid.RowNumberer(),
        {
            header: vlanguage.title,
            dataIndex: 'title',
            width: 30
        },{
            header: vlanguage.description,
            dataIndex: 'description',
            width: 130
        },{
            header: vlanguage.author,
            dataIndex: 'author',
            width: 30
        },{
            header: vlanguage.version,
            dataIndex: 'version',
            width: 15,
            renderer: function(value, metadata, record){
                /* Highlight `version` field if new application version available */
                if('upgrade' == record.json.action)
                    metadata.css = 'new_version';

                return value;
            }
        },{
            header: '',
            hideable: false,
            menuDisabled: true,
            align: 'center',
            dataIndex: 'docs',
            width: 5,
            renderer: function(value, metadata, record){ //value, metadata, record,  rowIndex ,  colIndex , store
                return '<img title="'+ vlanguage.documentation +'" alt="'+ vlanguage.documentation +'" src="tpl/'+ vconfig.acp_tpl +'/images/acp.png" />';
            }
        },{
            header: '',
            hideable: false,
            menuDisabled: true,
            align: 'center',
            dataIndex: 'action',
            width: 5,
            renderer: function(value, metadata, record){ //value, metadata, record,  rowIndex ,  colIndex , store
                return actionRenderer(record.json.action);
            }
        }
        ]
    });

    /* Available applications grid */
    vAGrid = new Ext.grid.GridPanel({
        title: vlanguage.available_applications,
        store: vADataStore,
        cm: vAColumnModel,
        viewConfig: {
            forceFit: true
        },
        frame: true,
        border: true,
        loadMask: true,
        height: 350
    });

    /*
     * Installed applications grid
     */

    /* Data store */
    vIDataStore = new Ext.data.Store({
        proxy: new Ext.data.HttpProxy({
            url: vUrl,
            method: 'GET'
        }),
        remoteSort: true,
        reader: new Ext.data.JsonReader({
            root: 'data',
            totalProperty: 'total'
        },[
        {
            name: 'title'
        },

        {
            name: 'description'
        },

        {
            name: 'author'
        },

        {
            name: 'status'
        },

        {
            name: 'version'
        }
        ]),
        sortInfo: {
            field: 'title',
            direction: 'ASC'
        },
        baseParams: {
            action: 'getInstalledApplications',
            status: 'all'
        }
    });

    /* Column model */
    vIColumnModel = new Ext.grid.ColumnModel({
        defaults: {
            sortable: true
        },
        columns: [
        vICheckboxSelModel,
        {
            header: vlanguage.title,
            dataIndex: 'title',
            width: 30
        },{
            header: vlanguage.description,
            dataIndex: 'description',
            width: 130
        },{
            header: vlanguage.author,
            dataIndex: 'author',
            width: 30
        },{
            header: vlanguage.version,
            dataIndex: 'version',
            width: 15
        },{
            header: vlanguage.status,
            dataIndex: 'status',
            width: 30,
            renderer: function(value, metadata){
                metadata.css = value;

                return vlanguage[value];
            },
            editor: new Ext.form.ComboBox({
                typeAhead: true,
                triggerAction: 'all',
                lazyRender: true,
                dataIndex: 'status',
                store: vIStatusesStore,
                displayField: 'display',
                valueField: 'value',
                editable: false,
                mode: 'local'
            })
        },{
            header: '',
            hideable: false,
            menuDisabled: true,
            align: 'center',
            dataIndex: 'docs',
            width: 5,
            renderer: function(value, metadata, record){ //value, metadata, record,  rowIndex ,  colIndex , store
                return '<img title="'+ vlanguage.documentation +'" alt="'+ vlanguage.documentation +'" src="tpl/'+ vconfig.acp_tpl +'/images/acp.png" />';
            }
        },{
            header: '',
            hideable: false,
            menuDisabled: true,
            align: 'center',
            dataIndex: 'action',
            width: 5,
            renderer: function(value, metadata, record){
                record.data.action = 'uninstall'; //Set application action

                return actionRenderer(record.data.action);
            }
        }
        ]
    });

    /* Status combo */
    vIStatusCombo = new Ext.form.ComboBox({
        itemId: 'status',
        width: 100,
        store: vIStatusesStore,
        mode: 'local',
        value: 'active', //Default value
        typeAhead: true,
        triggerAction: 'all',
        displayField: 'display',
        valueField: 'value',
        editable: false,
        disabled: true
    });

    /* Paging combo */
    vIPagingCombo = new Ext.form.ComboBox({
        width: 40,
        store: vIPagingStore,
        mode: 'local',
        value: '10', //Default value
        listWidth: 40,
        triggerAction: 'all',
        displayField: 'id',
        valueField: 'id',
        editable: false,
        forceSelection: true
    });

    /* Filter by status combo */
    vIFilterByStatusCombo = new Ext.form.ComboBox({
        width: 100,
        store: vIFilterByStatusStore,
        mode: 'local',
        value: 'all', //Default value
        triggerAction: 'all',
        displayField: 'display',
        valueField: 'value',
        editable: false,
        forceSelection: true
    });
	
    /* Paging toolbar */
    vIPagingToolbar = new Ext.PagingToolbar({
        pageSize: 10,
        store: vIDataStore,
        displayInfo: true,
        displayMsg: vlanguage.displaying_data,
        emptyMsg: vlanguage.no_data_to_display,
        items: [
        '-', vlanguage.items_per_page + ': ', vIPagingCombo,
        '-', vlanguage.filter_by_status + ': ', vIFilterByStatusCombo
        ]
    });

    /* Generate SearchIn menu */
    for(var i = 0; i < vSearchInFields.length; i++)
    {
        var tmp = new Object();

        tmp['hideOnClick'] = false;
        tmp['text'] = vSearchInFields[i];
        tmp['checked'] = true;
		
        vSearchInMenu[0] = '<b class="menu-title">' + vlanguage.search_in + '</b>'; //Menu title
        vSearchInMenu[i+1] = tmp;
    }

    /* Search field with search & stop search buttons */
    vISearchField =  new Ext.form.TwinTriggerField({
        validationEvent: false,
        validateOnBlur: false,
        trigger1Class: 'x-form-clear-trigger',
        trigger2Class: 'x-form-search-trigger',
        hideTrigger1: true,
        width: 280,
        hasSearch: false,
        onTrigger1Click: stopSearch,
        onTrigger2Click: startSearch
    });

    /* Installed applications grid */
    vIGrid =  new Ext.grid.EditorGridPanel({
        title: vlanguage.installed_applications,
        store: vIDataStore,
        cm: vIColumnModel,
        sm: vICheckboxSelModel,
        viewConfig: {
            forceFit: true
        },
        frame: true,
        border: true,
        loadMask: true,
        height: 339,
        tbar: [
        {
            text: 'Search',
            itemId: 'searchInMenu',
            iconCls: 'search',  //Icon
            menu: vSearchInMenu
        },
        vISearchField,
        '-', vlanguage.change_status + ':', vIStatusCombo
        ],
        bbar: vIPagingToolbar,
        plugins: new Ext.ux.PanelResizer({
            minHeight: 100
        })
    });

    vADataStore.load();
    vIDataStore.load({
        params: {
            start: 0,
            limit: 10
        }
    });

    var vDocsTab = new Ext.TabPanel({
        activeTab: 0,
        border: false
    });

    var vDocsWindow = new Ext.Window({
        title: vlanguage.documentation,
        width: 600,
        height: 400,
        closeAction: 'hide',
        maximizable: true,
        plain: true,
        modal: true,
        items: vDocsTab,
        buttons: [{
            text: 'Close',
            handler: function(){
                vDocsWindow.hide();
            }
        }]
    });
    /*
     * Events
     */
    vAGrid.on('cellclick', function(grid, rowIndex, columnIndex){
        var record = grid.getStore().getAt(rowIndex); //Record
        var fieldName = grid.getColumnModel().getDataIndex(columnIndex); //Field
		
        switch(fieldName)
        {
            case 'action':
                doAction(record); //Do action
                break;

            case 'docs':
                showDocs(record.json.name);
                break;
        }
    });

    vIGrid.on('cellclick', function(grid, rowIndex, columnIndex){
        var record = grid.getStore().getAt(rowIndex); //Record
        var fieldName = grid.getColumnModel().getDataIndex(columnIndex); //Field
		
        switch(fieldName)
        {
            case 'action':
                doAction(record); //Do application action
                break;
                
            case 'docs':
                showDocs(record.json.name);
                break;
        }
    });

    vIGrid.on('afteredit', function(field)
    {
        updateStatus(field.record.json.name, field.value); //Update application status
    });
	
    vIPagingCombo.on('select', function(combo, record, index)
    {
        var value = parseInt(record.get('id'), 10); //Get paging combo value
	
        changePageSize(value); //Change grid page size
    });

    vIFilterByStatusCombo.on('select', function(combo, record, index)
    {
        var value = record.get('value'); //Get filter by status combo value

        loadByStatus(value); //Load applications by status
    });

    vICheckboxSelModel.on('rowselect', function()
    {
        vIGrid.getTopToolbar().getComponent('status').enable(); //Enable status combo
    });

    vICheckboxSelModel.on('rowdeselect', function(sm)
    {
        /* If no rows selected disable status combo */
        if(0 == sm.getCount())
        {
            vIGrid.getTopToolbar().getComponent('status').disable();
        }
    });

    vIStatusCombo.on('select', function(combo, record, index)
    {
        var rows = vICheckboxSelModel.getSelections(); //Selected grid rows
        var applications = new Array(); //applications
        var status = vIGrid.getTopToolbar().getComponent('status').getValue(); //Get value from status combo
        var key = 0;

        /* Generate applications */
        for(var i = 0; i < rows.length; i++)
        {
            if(status != rows[i].json.status)
            {
                applications[key] = rows[i].json.name;
                key++;
            }
        }

        if(!Ext.isEmpty(applications))
        {
            updateStatus(applications, status); //Update application status
        }
    });

    /*
     * Functions
     */
    function showDocs(application)
    {
        vDocsTab.removeAll();
        
        vDocsTab.add({
            itemId: 'installation',
            title: vlanguage.installation,
            iconCls: 'applications',
            baseCls: 'w-background vbox',
            border: false,
            autoHeight: true,
            autoLoad: '../applications/' + application + '/installation/docs/installation.html'
        },{
            itemId: 'changelog',
            title: vlanguage.changelog,
            baseCls: 'w-background vbox',
            border: false,
            iconCls: 'applications',
            autoHeight: true,
            autoLoad: '../applications/' + application + '/installation/docs/changelog.html'
        });

        vDocsTab.setActiveTab(0);
        vDocsWindow.show();
    }

    /* Action renderer */
    function actionRenderer(action)
    {
        switch(action)
        {
            case 'install':
                return '<img title="'+ vlanguage.install +'" alt="'+ vlanguage.install +'" src="tpl/'+ vconfig.acp_tpl +'/images/applications-install.png" />';
                break;

            case 'upgrade':
                return '<img title="'+ vlanguage.upgrade +'" alt="'+ vlanguage.upgrade +'" src="tpl/'+ vconfig.acp_tpl +'/images/applications-upgrade.png" />';
                break;

            case 'uninstall':
                return '<img title="'+ vlanguage.uninstall +'" alt="'+ vlanguage.uninstall +'" src="tpl/'+ vconfig.acp_tpl +'/images/applications-uninstall.png" />';
                break;
        }
    }

    /* Do application action */
    function doAction(record)
    {
        var applicationTitle = record.get('title'); //application title
        var action = record.get('action'); //application action
        var application = record.json.name;

        /* Replace `qmsg` with specific application title & action */
        var msg = vlanguage.question_action_application.replace('{vapplication}', applicationTitle);
        msg = msg.replace('{vaction}', action)

        switch(action)
        {
            case 'install':
            case 'upgrade':
            case 'uninstall':
                Ext.Msg.show({
                    title: vlanguage.question,
                    msg: msg,
                    buttons: Ext.Msg.YESNO,
                    icon: Ext.MessageBox.QUESTION,
                    fn: function(btn){
                        if('yes' == btn)
                        {
                            Ext.Ajax.request(
                            {
                                url: vUrl,
                                method: 'POST',
                                params:
                                {
                                    token: '{/literal}{createToken}{literal}',
                                    application: application, //application
                                    action: action //application action
                                },
                                failure: function(){
                                    Vesthelm.util.msg(vlanguage.error, 'error'); //Display error message
                                },
                                success: function(result){
                                    vADataStore.load(); //Load Available applications
                                    vIDataStore.load(); //Load Installed applications
                                    Vesthelm.layout.getWestTreePanel().root.reload();
                                    
                                    var obj = Ext.decode(result.responseText);

                                    if(obj.success == true)
                                    {
                                        var ed = ('upgrade' == action) ? "d" : "ed"; //xD
                                        var msg = vlanguage["application_" + action + ed];

                                        Vesthelm.util.msg(msg, 'success'); //Display success message

                                        Ext.Msg.show({
                                                title: vlanguage.question,
                                                msg: vlanguage.application_install_info,
                                                buttons: Ext.Msg.YESNO,
                                                icon: Ext.MessageBox.QUESTION,
                                                fn: function(btn){
                                                    if('yes' == btn)
                                                    {
                                                        window.location.reload();
                                                    }
                                                }
                                            });
                                    }
                                }
                            });
                        }
                    }
                });
                break;
        }
    }

    /* Stop search */
    function stopSearch()
    {
        if(this.hasSearch)
        {
            this.el.dom.value = '';
            var options = {
                start: 0
            };

            vIDataStore.baseParams = vIDataStore.baseParams || {};
            vIDataStore.baseParams['search_value'] = '';
            vIDataStore.baseParams['search_in_fields[]'] = '';
            vIDataStore.reload({
                params: options
            });
            this.triggers[0].hide(); //Hide stop search button
            this.hasSearch = false;
        }
    }

    /* Start search */
    function startSearch()
    {
        var value = this.getRawValue(); //Get search field value
        var searchInMenuFields = new Array();
        var searchInMenuItems = vIGrid.getTopToolbar().getComponent('searchInMenu').menu.items; //Get searchInMenu items
        var key = 0;
        var options = {
            start: 0
        };

        if(value.length < 1){
            this.onTrigger1Click();
            return;
        }

        for(var i = 0; i < searchInMenuItems.length; i++)
        {
            if(i > 0) //0 is menu title
            {
                if(searchInMenuItems.items[i].checked)
                {
                    searchInMenuFields[key] = searchInMenuItems.items[i].text;
                    key++;
                }
            }
        }
		
        vIDataStore.baseParams = vIDataStore.baseParams || {};
        vIDataStore.baseParams['search_value'] = value;
        vIDataStore.baseParams['search_in_fields[]'] = searchInMenuFields;
        vIDataStore.reload({
            params: options
        });
        this.hasSearch = true;
        this.triggers[0].show(); //Show stop search button
    }

    /* Updates application status */
    function updateStatus(application, status)
    {
        Ext.Ajax.request(
        {
            url: vUrl,
            method: 'POST',
            params:
            {
                'application[]': application,
                action: 'updateStatus',
                status: status,
                token: '{/literal}{createToken}{literal}'
            },
            failure: function(){
                Vesthelm.util.msg(vlanguage.error, 'error');
            },
            success: function(result){
                var obj = Ext.decode(result.responseText);

                if(obj.success == true){
                    Vesthelm.util.msg(vlanguage.data_saved, 'success');
                }
				
                vIDataStore.reload();
                Vesthelm.layout.getWestTreePanel().root.reload();
            }
        });
    }

    /* Change grid page size */
    function changePageSize(value)
    {
        vIDataStore.baseParams.limit = value; //Change data store limit
        vIPagingToolbar.pageSize = value; //Change paging toolbar page size
        vIDataStore.load(); //Load Installed applications
    }

    /* Load applications by status */
    function loadByStatus(value)
    {
        vIDataStore.baseParams.status = value; //Change data store status
        vIDataStore.load(); //Load Installed applications
    }

    return {
        getAGrid: function(){
            return vAGrid;
        },
        getIGrid: function(){
            return vIGrid;
        }
    }
}

Ext.onReady(function(){
    var applications = new Vesthelm.applications();
    var ctab = Ext.getCmp('applications-vcentertab');
    var tbar = ctab.getTopToolbar();
    var bbar = ctab.getBottomToolbar();

    var tabPanel = new Ext.TabPanel({
        style: {
            padding: '5px 5px 0px 5px'
        },
        plain: true,
        border: false,
        bodyCssClass: 'background',
        activeTab: 0
    });

    tbar.hide();
    bbar.hide();

    tabPanel.add(applications.getAGrid());
    tabPanel.add(applications.getIGrid());
    tabPanel.render('applications-tabs');
});

{/literal}