/* http://www.extjs.com/forum/showthread.php?9025-Saving-tree-state-example&p=293530#post293530 */
Ext.namespace('Ext.ux.tree');
Ext.ux.tree.State = function(config) {
   Ext.apply(this, config);
};
Ext.extend(Ext.ux.tree.State, Ext.util.Observable, {
   init: function(tree) {
      this.tree = tree;
      this.stateName = 'TreePanelState_' + this.tree.id;
      this.idField = this.idField || 'id';
      this.provider = Ext.state.Manager.getProvider() || new Ext.state.CookieProvider();
      this.state = this.provider.get(this.stateName, {});
      this.tree.on({
         scope: this,
         collapsenode: this.onCollapse,
         expandnode: this.onExpand,
         append: this.onNodeAdded
      });
   },
    
   saveState : function(newState) {
      this.state = newState || this.state;
      this.provider.set(this.stateName, this.state);
   },
    
   onNodeAdded: function(tree, parentNode, node, index) {	
      switch (this.state[node.id]) {
         case 'C': 
            node.expanded = false; 
            break;
         case 'E': 
            node.expanded = true; 
            break;
      };
   },
   
   onExpand: function(node) {
      this.state[node.id] = 'E';
      this.saveState();
   },
   
   onCollapse: function(node) {
      this.state[node.id] = 'C';
      this.saveState();
   }
});
