{literal}
Ext.BLANK_IMAGE_URL = '../libs/ext/resources/images/default/s.gif';
Ext.ns('Vesthelm');

Vesthelm.layout = function(){
    var vUrl = 'index.php?file=';
    var vToolbar;
    var vWestTreePanel;
    var vWestTabPanel;
    var vCenterTabPanel;

    var hiddenPkgs = [];
    var markCount = [];

    vToolbar = new Ext.Toolbar({
        items: [
            {
                tooltip: vlanguage.vesthelm,
                iconCls: 'logo-small',
                handler: function(){
                    Ext.Msg.show({
                        title: '*',
                        msg: 'Powered by <a href="http://www.vesthelm.com">Vesthelm EE<\/a>' + ' ' + vconfig.version + '<br /><br />Copyright &copy; 2010-2011, Anton Kurbanov'
                    });
                }
            },{
                tooltip: vlanguage.go_to_frontend,
                iconCls: 'go-frontend',
                handler: function(){
                    window.location.href = vconfig.frontend_url;
                }
            },
            '->'
        ]
    });

    vWestTreePanel = new Ext.tree.TreePanel({
        id: 'vwest-tree-panel',
        title: vlanguage.links,
        autoScroll: true,
        animate: true,
        bodyCssClass: 'background',
        border: false,
        enableDD: false,
        containerScroll: true,
        rootVisible: false,
        requestMethod: 'GET',
        dataUrl:  vUrl + 'layout&action=getLinks',
        width: 250,
        plugins: [new Ext.ux.tree.State()],
        root: {
            nodeType: 'async',
            text: 'Root',
            draggable: false,
            id: '0'
        }
    });

    vWestTabPanel = new Ext.TabPanel({
        collapsible:true,
        collapseMode: 'mini',
        width: 200,
        region: 'west',
        enableTabScroll:true,
        margins: '0 0 5 5',
        activeTab: 0,
        items: vWestTreePanel,
        tbar:[ ' ',
            new Ext.form.TextField({
                width: 130,
                emptyText:'Filter By',
                enableKeyEvents: true,
                listeners:{
                    keydown: {
                        fn: filterTree,
                        buffer: 350
                    }
                }
            }), ' ', ' ',
            {
                iconCls: 'icon-expand-all',
                tooltip: vlanguage.expand_all,
                handler: function(){
                    vWestTreePanel.root.expand(true);
                }
            }, '-', {
                iconCls: 'icon-collapse-all',
                tooltip: vlanguage.collapse_all,
                handler: function(){
                    vWestTreePanel.root.collapse(true);
                }
            }]
    });

    vCenterTabPanel = new Ext.TabPanel({
        margins: '0 5 5 5',
        enableTabScroll: true,
        region: 'center',
        listeners: {
            tabchange: function(tabPanel, newTab){
                if(!Ext.isEmpty(newTab)){
                    if(0 == vconfig.do_not_reload_tabs){
                        var thisObj = newTab.getUpdater();

                        if(thisObj)
                            thisObj.refresh();
                    }

                    var params = tabPanel.activeTab.params;

                    if(!Ext.isEmpty(params) && 'acp' != params.file)
                    {
                        if(vconfig.restore_active_tab){
                            Ext.util.Cookies.set('vActiveCenterTab', params.file + '|' + params.title + '|' + params.action + '|' + params.addon + '|' + params.application, new Date(new Date().getTime()+(1000*60*60*24*30)));
                        }
                    }
                    
                }
            }
        },
        activeTab: 0,
        items: [{
                id: 'acp-vcentertab',
                title: vlanguage.dashboard,
                autoLoad: {
                    scripts: true,
                    nocache: true,
                    url: vUrl + 'acp'
                },
                baseCls: 'background',
                layout: 'fit',
                iconCls: 'acp',
                closable: true,
                autoScroll: true,
                params: {
                    file: 'acp',
                    title: vlanguage.acp,
                    action: '',
                    addon: '',
                    application: ''
                }
            }]
    });

    /**
     * Functions
     */
    function filterTree(t, e)
    {
        var text = t.getValue();

        Ext.each(hiddenPkgs, function(n){
            n.ui.show();
        });

        markCount  = [];
        hiddenPkgs = [];

        if(text.trim().length > 0)
        {
            vWestTreePanel.expandAll();

            var re = new RegExp(Ext.escapeRe(text), 'i');

            vWestTreePanel.root.cascade(function(n){
                if(re.test(n.text))
                    markToRoot(n, vWestTreePanel.root);
            });

            vWestTreePanel.root.cascade(function(n){
                if( (!markCount[n.id] || markCount[n.id] == 0) && n != vWestTreePanel.root)
                {
                    n.ui.hide();
                    hiddenPkgs.push(n);
                }
            });
        }
    }

    function markToRoot(n, root)
    {
        if( markCount[n.id] )
            return;

        markCount[n.id] = 1;

        if(n.parentNode != null)
            markToRoot(n.parentNode, root);
    }

    return {
        getWestTreePanel: function() {
            return vWestTreePanel;
        },
        getWestTabPanel: function() {
            return vWestTabPanel;
        },
        getTopToolbar: function() {
            return vToolbar;
        },
        getCenterTabPanel: function() {
            return vCenterTabPanel;
        },
        loadCenterTab: function(file, title, action, addon, application){
            var actionUrl = !Ext.isEmpty(action) ? '&action=' + action : '';

            var aUrl = !Ext.isEmpty(addon) ? '&addon=' + addon : (!Ext.isEmpty(application) ? '&application=' + application : '');

            var path = vUrl + file + aUrl + actionUrl;

            var actionId = !Ext.isEmpty(action) ? '-' + action : '';
            var aId = !Ext.isEmpty(addon) ? '-' + addon : (!Ext.isEmpty(application) ? '-' + application : '');

            var id = file + aId + actionId + '-vcentertab';

            var iconCls = !Ext.isEmpty(action) ? (!Ext.isEmpty(application) ? application + '-' + file + actionId : file + actionId) : (!Ext.isEmpty(application) ? application + '-' + file : file);

            var exists = vCenterTabPanel.getComponent(id);

            if(exists) {
                vCenterTabPanel.setActiveTab(exists);
            } else {
                var tab = vCenterTabPanel.add({
                    id: id,
                    title: !Ext.isEmpty(vlanguage[title]) ? vlanguage[title] : title,
                    params: {
                        file: file,
                        title: title,
                        action: action,
                        addon: addon,
                        application: application
                    },
                    baseCls: 'background',
                    layout:'fit',
                    autoLoad: {
                        url: path,
                        scripts: true,
                        nocache: true
                    },
                    iconCls: iconCls,
                    closable: true,
                    autoScroll: true,
                    tbar: [],
                    bbar:[]
                });

                vCenterTabPanel.setActiveTab(tab);
            }

            if(vconfig.restore_active_tab)
                Ext.util.Cookies.set('vActiveCenterTab', file + '|' + title + '|' + action + '|' + addon + '|' + application, new Date(new Date().getTime()+(1000*60*60*24*30)));
        },

        restoreActiveTab: function(){
            if(vconfig.restore_active_tab)
            {
                var cActiveTab = Ext.util.Cookies.get('vActiveCenterTab');

                if(cActiveTab)
                {
                    var tmpArray = cActiveTab.split('|');

                    this.loadCenterTab(tmpArray[0], tmpArray[1], tmpArray[2], tmpArray[3], tmpArray[4]);
                }
            }
        },
        createHtmlEditor: function(config){
            config = config || {};

            var htmleditor;
            var token = '{/literal}{createToken}{literal}';

            {/literal}{callHook name="createHtmlEditor" js="true"}{literal}

            if('htmleditor' == vconfig.htmleditor || Ext.isEmpty(htmleditor)){
                htmleditor = new Ext.form.HtmlEditor({
                    fieldLabel: config.fieldLabel,
                    name: config.name,
                    value: config.value,
                    itemId: config.itemId,
                    height: config.height,
                    anchor: config.anchor
                });
            }

            return htmleditor;
        },
        init: function(){
            this.restoreActiveTab();

            {/literal}{callHook name="layoutInit" js="true"}{literal}

            vToolbar.doLayout();
        }
    };//return end
}();

Ext.onReady(function(){
    Ext.QuickTips.init();

    var viewport = new Ext.Viewport({
        layout: 'border',
        items: [{
                region: 'north',
                height: 27,
                border: false,
                bodyCssClass: 'background',
                margins: '0 0 5 0',
                items: [Vesthelm.layout.getTopToolbar()]
            },
            Vesthelm.layout.getWestTabPanel(),
            Vesthelm.layout.getCenterTabPanel()
        ]
    });

    Vesthelm.layout.init();

    var tree = Vesthelm.layout.getWestTreePanel();
    var sm = tree.getSelectionModel();

    sm.on('beforeselect', function(sm, node){
        if('vtree' == node.attributes.cls){
            return node.isLeaf();
        }
    });

    sm.on('selectionchange', function(sm, node){
        Vesthelm.layout.loadCenterTab(node.attributes.file, node.attributes.title, node.attributes.action, node.attributes.addon, node.attributes.application);
    });

});

{/literal}