<?php

/**
 * @package Vesthelm Engine
 * @version 1.0.0
 * @copyright Copyright(c) 2010-2011, Anton Kurbanov
 * @license Open Source. For more details, please visit: http://www.vesthelm.com/license.html
 * @info Package generated specially for http://test.ir!
 */
defined('V_IN_ACP') or die('Powered by <a href="http://www.vesthelm.com/">Vesthelm EE</a>');

$Vesthelm->includeClass('SmartyV', true);
$Smarty = new SmartyV($Vesthelm->vConfig['acp_tpl']);

createAddonsCssCombinedFile();

$Smarty->assign_by_ref('vconfig', $Vesthelm->vConfig);
$Smarty->assign('vlanguage', $Vesthelm->vPhrases);
$Smarty->assign('vacp_tpl', $Vesthelm->vConfig['acp_tpl']);
$Smarty->assign('vactive_addons', getActiveAddons());

$Smarty->assign('vacp', V_ACP);
$Smarty->assign('vaddons', V_ADDONS);
$Smarty->assign('vapplications', V_APPLICATIONS);

if (defined('V_ADDON')) {
    $Smarty->assign('vaddon', V_ADDON);
    $Smarty->assign('vaddon_css_path', V_ADDON . '/acp/tpl/css/');
    $Smarty->assign('vaddon_js_path', V_ADDON . '/acp/js/');
}

if (defined('V_APPLICATION')) {
    $Smarty->assign('vapplication', V_APPLICATION);
    $Smarty->assign('vapplication_css_path', V_APPLICATION . '/acp/tpl/css/');
    $Smarty->assign('vapplication_js_path', V_APPLICATION . '/acp/js/');
}

$Smarty->assign('vaddons_with_css', getAddonsWithCssFile());
$Smarty->assign('vapplications_with_css', getApplicationsWithCssFile());

function getApplicationsWithCssFile() {
    global $Vesthelm;

    $out = array();

    if (isset($Vesthelm->vApplications)) {
        foreach ($Vesthelm->vApplications as $key => $application) {
            $path = V_APPLICATIONS . $key . V_DS . 'acp' . V_DS . 'tpl' . V_DS . 'css' . V_DS . $key . '.css';

            if (file_exists($path)) {
                $out[] = $key;
            }
        }
    }

    return $out;
}

function getAddonsWithCssFile() {
    global $Vesthelm;

    $out = array();

    if (isset($Vesthelm->vAddons)) {
        foreach ($Vesthelm->vAddons as $key => $addon) {
            $path = V_ADDONS . $key . V_DS . 'acp' . V_DS . 'tpl' . V_DS . 'css' . V_DS . $key . '.css';

            if (file_exists($path)) {
                $out[] = $key;
            }
        }
    }

    return $out;
}

function createAddonsCssCombinedFile() {
    global $Vesthelm;

    $out = getAddonsWithCssFile();

    if ($Vesthelm->vConfig['combine_addons_css'] && !empty($out)) { //combine addons css files
        $new_css_file = '';
        $css_file = 'vaddons_acp_css.css';

        if (file_exists(V_CACHE_DIR . $css_file)) {
            if ($Vesthelm->vConfig['addons_css_cache_time'] > 0) {
                $time = (int) $Vesthelm->vConfig['addons_css_cache_time'];
            } else {
                $time = time() - (14 * 24 * 60 * 60); //14 days; 24 hours; 60 mins; 60secs
            }

            if (filemtime(V_CACHE_DIR . $css_file) < $time) {
                foreach ($out as $key => $file) {
                    $styles = @file_get_contents(V_ADDONS . $addon . V_DS . 'acp' . V_DS . 'tpl' . V_DS . 'css' . V_DS . $addon . '.css');
                    $r_styles = str_replace('../images/', '../../addons/' . $addon . '/acp/tpl/images/', $styles);

                    $new_css_file .= $r_styles;
                }

                if (!empty($new_css_file)) {
                    $Vesthelm->vWriter->writeToFile($css_file, $new_css_file);
                }
            }
        } else {
            foreach ($out as $key => $addon) {
                $styles = @file_get_contents(V_ADDONS . $addon . V_DS . 'acp' . V_DS . 'tpl' . V_DS . 'css' . V_DS . $addon . '.css');
                $r_styles = str_replace('../images/', '../../addons/' . $addon . '/acp/tpl/images/', $styles);

                $new_css_file .= $r_styles;
            }

            if (!empty($new_css_file)) {
                $Vesthelm->vWriter->writeToFile($css_file, $new_css_file); //create css file
            }
        }
    }

    return $out;
}

function getActiveAddons() {
    global $Vesthelm;

    $out = array();

    if (isset($Vesthelm->vAddons)) {
        foreach ($Vesthelm->vAddons as $key => $addon) {
            $out[] = $key;
        }
    }

    return $out;
}

function callSmartyHook($params) {
    global $Vesthelm, $Smarty;

    if (!empty($Vesthelm->vHooks) && !empty($params['name'])) {
        require_once(V_SMARTY_DIR . 'plugins' . V_DS . 'function.eval.php');

        foreach ($Vesthelm->vHooks as $key => $hook) {
            if (in_array($params['name'], $Vesthelm->vHooks[$key]) && 'smarty' == $Vesthelm->vHooks[$key]['code']) {
                if ($params['js']) {
                    echo $hook['value'];
                } else {
                    echo smarty_function_eval(array('var' => $hook['value']), $Smarty);
                }
            }
        }
    }
}

$Smarty->register_function("createToken", array("Utils", "createToken"));
$Smarty->register_function("createTokens", array("Utils", "createTokens"));
$Smarty->register_function("callHook", "callSmartyHook");
?>