<?php

/**
 * @package Vesthelm Engine
 * @version 1.0.0
 * @copyright Copyright(c) 2010-2011, Anton Kurbanov
 * @license Open Source. For more details, please visit: http://www.vesthelm.com/license.html
 * @info Package generated specially for http://test.ir!
 */
defined('V_IN_ACP') or die('Powered by <a href="http://www.vesthelm.com/">Vesthelm EE</a>');

session_start();

if (!isset($_SESSION['session'])) {
    session_regenerate_id();
    $_SESSION['session'] = true;
}

header("Content-Type: text/html; charset=utf-8");

if (function_exists('date_default_timezone_set')) {
    date_default_timezone_set('UTC');
}

require_once(dirname(__FILE__) . DIRECTORY_SEPARATOR . '..' . DIRECTORY_SEPARATOR . 'cfgs' . DIRECTORY_SEPARATOR . 'config.inc.php');
require_once(V_ACP_CLASSES . 'Utils.php');

Utils::setErrorReporting();
Utils::removeMagicQuotes();
Utils::unregisterGlobals();

require_once(V_ACP_CLASSES . 'Database.php');
require_once(V_ACP_CLASSES . 'Writer.php');
require_once(V_ACP_CLASSES . 'Mail.php');
require_once(V_ACP_CLASSES . 'Vesthelm.php');
require_once(V_ACP_CLASSES . 'Config.php');

$Vesthelm = new Vesthelm();

$Config = &Config::getInstance();
$Mail = $Vesthelm->vMail;

$Vesthelm->callHook('bootstrap');

//shorthand
$vlang = $Vesthelm->vPhrases;
$vconf = $Vesthelm->vConfig;
$vrealms = $Vesthelm->vRealms;
$vlanguages = $Vesthelm->vLanguages;

//if phrase not exists return name
function vlang($name = '') {
    global $vlang;

    $lang = !empty($vlang[$name]) ? $vlang[$name] : $name;

    return $lang;
}

$code = $vconf['acp_code'];

$Vesthelm->callHook('initialization');

define("V_ACP_LANG_CODE", $code);
define("V_MOD_REWRITE", $vconf['mod_rewrite']);

$Vesthelm->includeClass('Sanitization, Validation', true);
?>