<?php

/**
 * @package Vesthelm Engine
 * @version 1.0.0
 * @copyright Copyright(c) 2010-2011, Anton Kurbanov
 * @license Open Source. For more details, please visit: http://www.vesthelm.com/license.html
 * @info Package generated specially for http://test.ir!
 */

define("V_IN_INSTALLATION", true);

require_once(dirname(__FILE__) . DIRECTORY_SEPARATOR . 'cfgs' . DIRECTORY_SEPARATOR . 'config.inc.php');
require_once(V_ACP_CLASSES . 'Utils.php');
require_once(V_ACP_CLASSES . 'Sanitization.php');

Utils::setErrorReporting();
Utils::removeMagicQuotes();
Utils::unregisterGlobals();

$file = isset($_GET['file']) ? Sanitization::replace($_GET['file']) : 'index';

$fullpath = V_INSTALLATION . 'steps' . V_DS . $file . '.php';

if (!file_exists($fullpath) && $file != 'index') {
    echo '404';
    exit;
} else {
    $msg = array();

    if (!is_writable(V_COMPILE_DIR) && !is_writable(V_MAIN . 'cfgs')) {
        $msg[] = 'Set write permissions for folder `compile_dir`,`cfgs` then you can continue installation';
    }
    if (file_exists(V_MAIN . 'cfgs' . V_DS . 'config.inc.php') && 'index' == $file) {
        $msg[] = 'config.inc.php already exists in ' . V_MAIN . 'cfgs after removing it you can start new installation';
    }

    if (!empty($msg)) {
        $_GET['type'] = 'error';
        require_once(V_INSTALLATION . 'error.php');
        exit;
    }

    if ('index' == $file) {
        require_once(V_STEPS . 'smarty.php');

        $Smarty->display('index.tpl');
        exit;
    }

    require_once($fullpath);
    exit;
}

exit;
?>