{literal}
Ext.onReady(function(){
    Ext.QuickTips.init();
    
    var vUrl = 'index.php?file=';
    var vSteps = 4;
    var vStepsTitles = [];

    vStepsTitles[0] = 'Pre-Installation Check';
    vStepsTitles[1] = 'License';
    vStepsTitles[2] = 'Configuration';
    vStepsTitles[3] = 'Finish';

    var vProgressBar = new Ext.ProgressBar({
        text: vStepsTitles[0],
        id: 'vProgressBar',
        value: 0.333,
        renderTo: 'p2'
    });

    var steps = [{
        text: vStepsTitles[0],
        iconCls: 'pre-installation',
        id: 'v' + 0,
        leaf: true
    },{
        text: vStepsTitles[1],
        iconCls: 'vlicense',
        id: 'v' + 1,
        leaf: true

    },{
        text: vStepsTitles[2],
        iconCls: 'configuration',
        id: 'v' + 2,
        leaf: true
    },{
        text: vStepsTitles[3],
        iconCls: 'finish',
        id: 'v' + 3,
        leaf: true
    }];

    var treePanel = new Ext.tree.TreePanel({
        split: true,
        collapsible: true,
        minSize: 150,
        maxSize: 500,
        region: 'west',
        margins: '0 0 0 5',
        collapseMode: 'mini',
        frame: true,
        width: 200,
        title: 'Steps',
        rootVisible: false,
        root: new Ext.tree.AsyncTreeNode({
            expanded:true,
            leaf:false,
            text:'Root',
            children: steps
        })
    });

    var treeSelectionModel = treePanel.getSelectionModel();

    treeSelectionModel.on('beforeselect', function(sm, node){
        //prevent selecting nodes
        if(!node.vintree){
            return false;
        }
        node.vintree = false;
    });

    var cardNav = function(incr){
        var l = Ext.getCmp('card-wizard-panel').getLayout();
        var i = l.activeItem.id.split('card-')[1];
        var next = parseInt(i, 10) + incr;

        checkStep(i, next);

        Ext.getCmp('card-prev').setDisabled(next==0);
    };

    function go(next){
        loadStep(next);
        vProgressBar.updateProgress((next+1)/vSteps, vStepsTitles[next]);
        selectNode(next);
    }

    function checkStep(step, next){
        switch(step){
            case '2':
                Ext.getCmp('mysql-form').getForm().submit({
                    method: 'POST',
                    params: {
                        action: 'checkMysqlConfiguration'
                    },
                    waitTitle: 'Connecting',
                    waitMsg: 'Sending data',
                    success: function(form, action){
                        var obj = Ext.decode(action.response.responseText);

                        if(obj.success){
                            go(next);
                        }
                        else{
                            action.failure();
                        }
                    },
                    failure: function(form, action){
                        if(3 != next){
                            go(next);
                        }
                    }
                });
               
                break;

            default:
                go(next);
        }
    }

    function selectNode(node){
        var currentNode = treePanel.getNodeById('v' + node);

        currentNode.vintree = true;
        
        treeSelectionModel.select(currentNode);
    }

    var cardWizard = {
        id: 'card-wizard-panel',
        layout: 'card',
        activeItem: 0,
        border: false,
        defaults: {
            border:false
        },
        bbar: ['->', {
            id: 'card-prev',
            iconCls: 'previous',
            text: 'Previous',
            handler: cardNav.createDelegate(this, [-1]),
            disabled: true
        },{
            id: 'card-next',
            iconCls: 'next',
            iconAlign: 'right',
            text: 'Next',
            handler: cardNav.createDelegate(this, [1])
        }],
        items: [{
            id: 'card-0',
            autoScroll: true,
            autoLoad: {
                scripts: true,
                nocache: true,
                url: vUrl + 'step'
            }
        }]
    };

    function loadStep(num){
        var id = 'card-' + num;
        var cwp = Ext.getCmp('card-wizard-panel');
        var layout = cwp.getLayout();
        var exists = cwp.getComponent(id);
        
        if(exists) {
            layout.setActiveItem(num);
        }else{
            cwp.add({
                id: id,
                autoLoad: {
                    scripts: true,
                    nocache: true,
                    url: vUrl + 'step' + num
                }
            });
            
            layout.setActiveItem(num);
        }

    //cwp.setTitle(vStepsTitles[num]);
    }

    var contentPanel = {
        id: 'content-panel',
        region: 'center',
        layout: 'card',
        margins: '0 5 0 0',
        activeItem: 0,
        frame: true,
        items: [
        cardWizard
        ]
    };

    new Ext.Viewport({
        layout: 'border',
        items: [{
            xtype: 'box',
            region: 'north',
            el: 'header',
            height: 93 //84
        },
        treePanel,
        contentPanel,
        {
            xtype: 'box',
            region: 'south',
            el: 'footer',
            height: 35
        }
        ],
        renderTo: Ext.getBody()
    });
    
    selectNode(0);
});
{/literal}