{literal}

Ext.onReady(function(){

    var vUrl = 'index.php?file=step';

    var vSStore = new Ext.data.Store({
        proxy: new Ext.data.HttpProxy({
            url: vUrl,
            method: 'GET'
        }),
        reader: new Ext.data.JsonReader({
            root: 'data'
        },[
        {
            name: 'title'
        },

        {
            name: 'value'
        }
        ]),
        baseParams: {
            action: 'getServerConfiguration'
        }
    });

    vSStore.load();

    var vSColumnModel = new Ext.grid.ColumnModel({
        defaults: {
            sortable: true
        },
        columns: [
        {
            header: 'Title',
            dataIndex: 'title',
            width: 100
        },{
            header: '',
            hideable: false,
            menuDisabled: true,
            sortable: false,
            align: 'center',
            dataIndex: 'value',
            width: 5,
            renderer: function(value, metadata, record){
                value = value ? 'accept' : 'error';
                
                return '<img title="'+ 'documentation' +'" alt="'+ 'documentation' +'" src="tpl/images/' + value + '.png" />';
            }
        }
        ]
    });

    var vSGrid = new Ext.grid.GridPanel({
        store: vSStore,
        cm: vSColumnModel,
        viewConfig: {
            forceFit: true
        },
        frame: true,
        columnWidth: .70,
        autoHeight: true,
        loadMask: true
    });

    new Ext.Panel({
        title: 'Server configuration',
        collapsible: true,
        titleCollapse: true,
        layout: 'column',
        tools: [{
            id:'refresh',
            handler: function(){
                vSStore.load();
            }
        }],
        hideCollapseTool: true,
        renderTo: 'server-cfgs',
        frame: true,
        items: [{
            columnWidth: .30,
            el: 'server-desc'
        },
        vSGrid]
    });

    /* recommended settings panel */
    var vRStore = new Ext.data.Store({
        proxy: new Ext.data.HttpProxy({
            url: vUrl,
            method: 'GET'
        }),
        reader: new Ext.data.JsonReader({
            root: 'data'
        },[
        {
            name: 'title'
        },
        {
            name: 'recommended'
        },
        {
            name: 'value'
        }
        ]),
        baseParams: {
            action: 'getReccomendedSettings'
        }
    });

    vRStore.load();

    var vRColumnModel = new Ext.grid.ColumnModel({
        defaults: {
            sortable: true
        },
        columns: [
        {
            header: 'Settings',
            dataIndex: 'title',
            width: 100
        },{
            header: 'Recommended',
            hideable: false,
            menuDisabled: true,
            align: 'center',
            dataIndex: 'recommended',
            width: 20,
            renderer: function(value, metadata, record){
                value = value ? 'accept' : 'error';

                return '<img title="'+ 'documentation' +'" alt="'+ 'documentation' +'" src="tpl/images/' + value + '.png" />';
            }
        },{
            header: 'Actual',
            hideable: false,
            menuDisabled: true,
            align: 'center',
            dataIndex: 'value',
            width: 20,
            renderer: function(value, metadata, record){
                value = value ? 'accept' : 'error';

                return '<img title="'+ 'documentation' +'" alt="'+ 'documentation' +'" src="tpl/images/' + value + '.png" />';
            }
        }
        ]
    });

    var vRGrid = new Ext.grid.GridPanel({
        store: vRStore,
        cm: vRColumnModel,
        viewConfig: {
            forceFit: true
        },
        frame: true,
        columnWidth: .70,
        autoHeight: true,
        loadMask: true
    });


    new Ext.Panel({
        title: 'Recommended settings',
        collapsible: true,
        titleCollapse: true,
        layout: 'column',
        tools: [{
            id:'refresh',
            handler: function(){
                vRStore.load();
            }
        }],
        hideCollapseTool: true,
        renderTo: 'rec-settings',
        frame: true,
        items: [{
            columnWidth: .30,
            el: 'rec-desc'
        },
        vRGrid]
    });

    /* permissions panel */
    var vPStore = new Ext.data.Store({
        proxy: new Ext.data.HttpProxy({
            url: vUrl,
            method: 'GET'
        }),
        reader: new Ext.data.JsonReader({
            root: 'data'
        },[
        {
            name: 'title'
        },

        {
            name: 'value'
        }
        ]),
        baseParams: {
            action: 'getPermissions'
        }
    });

    vPStore.load();

    var vPColumnModel = new Ext.grid.ColumnModel({
        defaults: {
            sortable: true
        },
        columns: [
        {
            header: 'Title',
            dataIndex: 'title',
            width: 100
        },{
            header: '',
            hideable: false,
            menuDisabled: true,
            sortable: false,
            align: 'center',
            dataIndex: 'value',
            width: 5,
            renderer: function(value, metadata, record){
                value = value ? 'accept' : 'error';

                return '<img title="'+ 'documentation' +'" alt="'+ 'documentation' +'" src="tpl/images/' + value + '.png" />';
            }
        }
        ]
    });

    var vPGrid = new Ext.grid.GridPanel({
        store: vPStore,
        cm: vPColumnModel,
        viewConfig: {
            forceFit: true
        },
        frame: true,
        columnWidth: .70,
        autoHeight: true,
        loadMask: true
    });

    new Ext.Panel({
        title: 'Permissions',
        collapsible: true,
        titleCollapse: true,
        layout: 'column',
        tools: [{
            id:'refresh',
            handler: function(){
                vPStore.load();
            }
        }],
        hideCollapseTool: true,
        renderTo: 'permissions',
        frame: true,
        items: [{
            columnWidth: .30,
            el: 'permissions-desc'
        },
        vPGrid]
    });

});

{/literal}