CREATE TABLE IF NOT EXISTS `{vinstallation_table_prefix}addons` (
  `id` int(4) NOT NULL AUTO_INCREMENT,
  `name` varchar(30) NOT NULL DEFAULT '',
  `title` varchar(50) NOT NULL DEFAULT '',
  `description` text NOT NULL,
  `author` varchar(30) NOT NULL DEFAULT '',
  `status` enum('active','inactive') NOT NULL DEFAULT 'inactive',
  `date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `version` varchar(5) NOT NULL DEFAULT '',
  `uninstall_phps` text NOT NULL,
  `uninstall_sqls` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
#vend_sql

CREATE TABLE IF NOT EXISTS `{vinstallation_table_prefix}applications` (
  `id` int(4) NOT NULL AUTO_INCREMENT,
  `name` varchar(30) NOT NULL DEFAULT '',
  `title` varchar(50) NOT NULL DEFAULT '',
  `description` text NOT NULL,
  `author` varchar(30) NOT NULL DEFAULT '',
  `status` enum('active','inactive') NOT NULL DEFAULT 'inactive',
  `date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `version` varchar(5) NOT NULL DEFAULT '',
  `uninstall_phps` text NOT NULL,
  `uninstall_sqls` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
#vend_sql

CREATE TABLE IF NOT EXISTS `{vinstallation_table_prefix}configurations` (
  `id` int(4) NOT NULL AUTO_INCREMENT,
  `group_name` varchar(50) NOT NULL DEFAULT '',
  `name` varchar(100) NOT NULL DEFAULT '',
  `value` text NOT NULL,
  `values` text NOT NULL,
  `type` enum('text','htmleditor','textarea','combo','radio','number','divider','hidden') NOT NULL DEFAULT 'text',
  `application` varchar(30) NOT NULL DEFAULT '',
  `addon` varchar(30) NOT NULL,
  `hide_in_js` tinyint(1) NOT NULL DEFAULT '0',
  `width` int(3) NOT NULL DEFAULT '200',
  `height` int(3) NOT NULL DEFAULT '200',
  `order` float NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `name` (`name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
#vend_sql

INSERT INTO `{vinstallation_table_prefix}configurations` (`id`, `group_name`, `name`, `value`, `values`, `type`, `application`, `addon`, `hide_in_js`, `width`, `height`, `order`) VALUES
(NULL, 'general', 'site_title', 'Vesthelm', '', 'text', '', '', 0, 200, 200, 1),
(NULL, 'general', 'title_suffix', ':: Powered by Vesthelm EE', '', 'text', '', '', 0, 200, 200, 2),
(NULL, 'general', 'acp_tpl', 'default', 'default', 'combo', '', '', 0, 140, 200, 3),
(NULL, 'general', 'frontend_tpl', 'default', 'default', 'combo', '', '', 0, 140, 200, 4),
(NULL, 'general', 'frontend_url', '{vinstallation_frontend_url}', '', 'text', '', '', 0, 200, 200, 5),
(NULL, 'general', 'acp_url', '{vinstallation_acp_url}', '', 'text', '', '', 0, 200, 200, 6),
(NULL, 'general', 'mod_rewrite', '0', '0,1', 'radio', '', '', 0, 140, 200, 7),
(NULL, 'general', 'restore_active_tab', '1', '0,1', 'radio', '', '', 0, 140, 200, 8),
(NULL, 'general', 'do_not_reload_tabs', '0', '0,1', 'radio', '', '', 0, 140, 200, 9),
(NULL, 'general', 'acp_code', 'en', '', 'hidden', '', '', 0, 200, 200, 10),
(NULL, 'general', 'frontend_code', 'en', '', 'hidden', '', '', 0, 200, 200, 11),
(NULL, 'general', 'date_format', '%A, %B %e, %Y', '', 'text', '', '', 0, 200, 200, 12),
(NULL, 'general', 'meta_description', 'Vesthelm Engine is a unique in its capabilities site engine. Vesthelm EE is easy to use and can be customized by your needs.', '', 'textarea', '', '', 0, 200, 70, 13),
(NULL, 'general', 'meta_keywords', 'vesthelm, site engine, engine, build site, best engine', '', 'textarea', '', '', 0, 200, 70, 14),
(NULL, 'general', 'site_offline', '0', '0,1', 'radio', '', '', 0, 140, 200, 15),
(NULL, 'general', 'offline_message', 'This site is down for maintenance. Please check back again soon.', '', 'textarea', '', '', 0, 200, 70, 16),
(NULL, 'general', 'version', '1.0.0', '', 'hidden', '', '', 0, 200, 200, 17),
(NULL, 'cache', 'hooks_run_type', 'eval', 'require,eval', 'combo', '', '', 0, 140, 200, 1),
(NULL, 'cache', 'hooks_cache_time', '14', '', 'number', '', '', 0, 100, 200, 2),
(NULL, 'cache', 'configurations_cache_time', '14', '', 'number', '', '', 0, 100, 200, 3),
(NULL, 'cache', 'phrases_cache_time', '14', '', 'number', '', '', 0, 100, 200, 4),
(NULL, 'cache', 'combine_addons_css', '0', '0,1', 'radio', '', '', 0, 140, 200, 0),
(NULL, 'cache', 'addons_css_cache_time', '14', '', 'number', '', '', 0, 140, 200, 0),
(NULL, 'htmleditor', 'htmleditor', 'htmleditor', 'htmleditor', 'combo', '', '', 0, 140, 200, 1),
(NULL, 'email', 'site_email', 'test@test.com', '', 'text', '', '', 0, 200, 200, 1),
(NULL, 'email', 'mail_method', 'mail', 'mail,smtp,sendmail', 'combo', '', '', 0, 140, 200, 2),
(NULL, 'email', 'mime_type', 'both', 'html,text,both', 'combo', '', '', 0, 140, 200, 3),
(NULL, 'email', 'smtp_user', '', '', 'text', '', '', 1, 200, 200, 4),
(NULL, 'email', 'smtp_password', '', '', 'text', '', '', 1, 200, 200, 5),
(NULL, 'email', 'smtp_port', '25', '', 'number', '', '', 0, 100, 200, 6),
(NULL, 'email', 'sendmail_path', '/usr/sbin/sendmail', '', 'text', '', '', 0, 200, 200, 7),
(NULL, 'captcha', 'captcha', 'disabled', 'disabled', 'combo', '', '', 0, 140, 200, 1);
#vend_sql

CREATE TABLE IF NOT EXISTS `{vinstallation_table_prefix}fields` (
  `id` int(4) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL DEFAULT '',
  `type` enum('text','textarea','combo','radio','checkbox') NOT NULL DEFAULT 'text',
  `value` text NOT NULL,
  `default` varchar(255) NOT NULL DEFAULT '',
  `form` varchar(100) NOT NULL,
  `addon` varchar(30) NOT NULL,
  `order` float NOT NULL DEFAULT '0',
  `required` enum('0','1') NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
#vend_sql

CREATE TABLE IF NOT EXISTS `{vinstallation_table_prefix}hooks` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(200) NOT NULL DEFAULT '',
  `value` text NOT NULL,
  `code` enum('php','smarty') NOT NULL DEFAULT 'php',
  `status` enum('active','inactive') NOT NULL DEFAULT 'inactive',
  `application` varchar(100) NOT NULL DEFAULT '',
  `addon` varchar(30) NOT NULL DEFAULT '',
  `side` enum('acp','frontend') NOT NULL DEFAULT 'acp',
  `u_id` varchar(32) NOT NULL DEFAULT '',
  `order` float NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `status` (`status`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
#vend_sql

CREATE TABLE IF NOT EXISTS `{vinstallation_table_prefix}links` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `parent_id` int(11) NOT NULL DEFAULT '0',
  `file` varchar(100) DEFAULT '',
  `action` varchar(100) NOT NULL,
  `params` varchar(100) NOT NULL,
  `title` varchar(50) NOT NULL DEFAULT '',
  `group_name` varchar(100) DEFAULT 'general',
  `application` varchar(100) NOT NULL DEFAULT '',
  `addon` varchar(100) DEFAULT '',
  `order` float NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
#vend_sql

INSERT INTO `{vinstallation_table_prefix}links` (`id`, `parent_id`, `file`, `action`, `params`, `title`, `group_name`, `application`, `addon`, `order`) VALUES
(NULL, 0, 'acp', '', '', 'dashboard', 'general', '', '', 1),
(NULL, 0, 'applications', '', '', 'manage_applications', 'general', '', '', 2),
(NULL, 0, 'addons', '', '', 'manage_addons', 'general', '', '', 3);
#vend_sql

CREATE TABLE IF NOT EXISTS `{vinstallation_table_prefix}realms` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `file` varchar(50) NOT NULL,
  `action` varchar(100) NOT NULL,
  `phrase_name` varchar(100) NOT NULL,
  `application` varchar(30) NOT NULL DEFAULT '',
  `addon` varchar(50) NOT NULL,
  `side` enum('acp','frontend') NOT NULL DEFAULT 'frontend',
  PRIMARY KEY (`id`),
  KEY `name` (`file`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
#vend_sql

INSERT INTO `{vinstallation_table_prefix}realms` (`id`, `file`, `action`, `phrase_name`, `application`, `addon`, `side`) VALUES
(NULL, 'index', '', 'acp', '', '', 'acp'),
(NULL, 'acp', '', 'dashboard', '', '', 'acp'),
(NULL, 'acp', 'getStatistics', 'view_statistics', '', '', 'acp'),
(NULL, 'layout', 'getLinks', 'view_links', '', '', 'acp'),
(NULL, 'layout', '', 'layout', '', '', 'acp'),
(NULL, 'index', '', 'frontend', '', '', 'frontend'),
(NULL, 'addons', '', 'manage_addons', '', '', 'acp'),
(NULL, 'addons', 'getInstalledAddons', 'view_installed_addons', '', '', 'acp'),
(NULL, 'addons', 'getAvailableAddons', 'view_available_addons', '', '', 'acp'),
(NULL, 'addons', 'updateStatus', 'update_addons_status', '', '', 'acp'),
(NULL, 'addons', 'install', 'install_addons', '', '', 'acp'),
(NULL, 'addons', 'upgrade', 'upgrade_addons', '', '', 'acp'),
(NULL, 'addons', 'uninstall', 'uninstall_addons', '', '', 'acp'),
(NULL, 'applications', '', 'manage_applications', '', '', 'acp'),
(NULL, 'applications', 'getInstalledApplications', 'view_installed_applications', '', '', 'acp'),
(NULL, 'applications', 'getAvailableApplications', 'view_available_applications', '', '', 'acp'),
(NULL, 'applications', 'updateStatus', 'update_applications_status', '', '', 'acp'),
(NULL, 'applications', 'install', 'install_applications', '', '', 'acp'),
(NULL, 'applications', 'upgrade', 'upgrade_applications', '', '', 'acp'),
(NULL, 'applications', 'uninstall', 'uninstall_applications', '', '', 'acp');

#vend_sql

CREATE TABLE IF NOT EXISTS `{vinstallation_table_prefix}languages` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(32) NOT NULL,
  `charset` varchar(32) NOT NULL DEFAULT 'utf-8',
  `dir` varchar(12) NOT NULL DEFAULT 'ltr',
  `code` char(2) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
#vend_sql

INSERT INTO `{vinstallation_table_prefix}languages` (`id`, `title`, `charset`, `dir`, `code`) VALUES
(NULL, 'English', 'utf-8', 'ltr', 'en');
#vend_sql

CREATE TABLE IF NOT EXISTS `{vinstallation_table_prefix}languages_phrases` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) NOT NULL DEFAULT '',
  `value` text NOT NULL,
  `side` enum('acp','frontend','both','other') NOT NULL DEFAULT 'other',
  `code` varchar(2) NOT NULL DEFAULT '',
  `application` varchar(30) NOT NULL DEFAULT '',
  `addon` varchar(50) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
#vend_sql

INSERT INTO `{vinstallation_table_prefix}languages_phrases` (`id`, `name`, `value`, `side`, `code`, `application`, `addon`) VALUES
(NULL, 'rebuild_cache', 'Rebuild Cache', 'both', 'en', '', ''),
(NULL, 'clear_grouping', 'Clear Grouping', 'both', 'en', '', ''),
(NULL, 'grouping', 'Grouping', 'both', 'en', '', ''),
(NULL, 'install_addons', 'Install Addons', 'acp', 'en', '', ''),
(NULL, 'upgrade_addons', 'Upgrade Addons', 'acp', 'en', '', ''),
(NULL, 'uninstall_addons', 'Uninstall Addons', 'acp', 'en', '', ''),
(NULL, 'update_addons_status', 'Update Addons Status', 'acp', 'en', '', ''),
(NULL, 'view_installed_addons', 'View Installed Addons', 'acp', 'en', '', ''),
(NULL, 'view_available_addons', 'View Available Addons', 'acp', 'en', '', ''),
(NULL, 'install_applications', 'Install Applications', 'acp', 'en', '', ''),
(NULL, 'upgrade_applications', 'Upgrade Applications', 'acp', 'en', '', ''),
(NULL, 'uninstall_applications', 'Uninstall Applications', 'acp', 'en', '', ''),
(NULL, 'update_applications_status', 'Update Applications Status', 'acp', 'en', '', ''),
(NULL, 'view_installed_applications', 'View Installed Applications', 'acp', 'en', '', ''),
(NULL, 'view_available_applications', 'View Available Applications', 'acp', 'en', '', ''),
(NULL, 'view_statistics', 'View Statistics', 'acp', 'en', '', ''),
(NULL, 'view_links', 'View Links', 'acp', 'en', '', ''),
(NULL, 'expand_all', 'Expand All', 'both', 'en', '', ''),
(NULL, 'collapse_all', 'Collapse All', 'both', 'en', '', ''),
(NULL, 'ascending', 'Ascending', 'both', 'en', '', ''),
(NULL, 'descending', 'Descending', 'both', 'en', '', ''),
(NULL, 'eval', 'PHP eval()', 'acp', 'en', '', ''),
(NULL, 'require', 'PHP require()', 'acp', 'en', '', ''),
(NULL, 'welcome', 'Welcome!', 'both', 'en', '', ''),
(NULL, 'addons_css_cache_time', 'Addons Css File Cache Time', 'acp', 'en', '', ''),
(NULL, 'combine_addons_css', 'Combine Addons Css Files', 'acp', 'en', '', ''),
(NULL, 'hooks_run_type', 'Hooks Run Type', 'acp', 'en', '', ''),
(NULL, 'hooks_cache_time', 'Hooks Cache Time (days)', 'acp', 'en', '', ''),
(NULL, 'configurations_cache_time', 'Configurations Cache Time (days)', 'acp', 'en', '', ''),
(NULL, 'phrases_cache_time', 'Phrases Cache Time (days)', 'acp', 'en', '', ''),
(NULL, 'cache', 'Cache', 'acp', 'en', '', ''),
(NULL, 'date_format', 'Date Format', 'acp', 'en', '', ''),
(NULL, 'submit', 'Submit', 'both', 'en', '', ''),
(NULL, '403', 'Forbidden', 'both', 'en', '', ''),
(NULL, 'info', 'Information', 'both', 'en', '', ''),
(NULL, 'success', 'Success', 'both', 'en', '', ''),
(NULL, 'v_index_page', 'Vesthelm Engine is a unique in its capabilities site engine. Vesthelm EE is easy to use and can be customized by your needs. In Vesthelm EE successfully introduced many improvements for your convenience and rapid development. Vesthelm EE has unlimited functionality and can be used to create an entirely new unique Web applications.', 'frontend', 'en', '', ''),
(NULL, 'site_offline', 'Site Offline', 'acp', 'en', '', ''),
(NULL, 'offline_message', 'Offline Message', 'acp', 'en', '', ''),
(NULL, 'meta_description', 'Meta Description', 'both', 'en', '', ''),
(NULL, 'meta_keywords', 'Meta Keywords', 'both', 'en', '', ''),
(NULL, 'html', 'HTML', 'both', 'en', '', ''),
(NULL, 'text', 'Plain Text', 'both', 'en', '', ''),
(NULL, 'go_to_frontend', 'Go to frontend', 'acp', 'en', '', ''),
(NULL, 'acp', 'Admin Control Panel', 'both', 'en', '', ''),
(NULL, 'layout', 'Layout', 'acp', 'en', '', ''),
(NULL, 'email', 'Email', 'both', 'en', '', ''),
(NULL, 'date', 'Date', 'both', 'en', '', ''),
(NULL, 'status', 'Status', 'both', 'en', '', ''),
(NULL, 'cancel', 'Cancel', 'both', 'en', '', ''),
(NULL, 'loading', 'Loading', 'both', 'en', '', ''),
(NULL, 'edit', 'Edit', 'acp', 'en', '', ''),
(NULL, 'vdelete', 'Delete', 'acp', 'en', '', ''),
(NULL, 'question_delete_rows', 'Do you really want to delete selected rows?', 'acp', 'en', '', ''),
(NULL, 'message', 'Message', 'both', 'en', '', ''),
(NULL, 'saving_data', 'Saving Data', 'acp', 'en', '', ''),
(NULL, 'error_message', 'Error Message', 'both', 'en', '', ''),
(NULL, 'add', 'Add', 'acp', 'en', '', ''),
(NULL, 'data_saved', 'Data saved', 'acp', 'en', '', ''),
(NULL, 'general', 'General', 'acp', 'en', '', ''),
(NULL, 'done', 'Done', 'acp', 'en', '', ''),
(NULL, 'upgrade', 'Upgrade', 'acp', 'en', '', ''),
(NULL, 'search_in', 'Search in', 'both', 'en', '', ''),
(NULL, 'items_per_page', 'Items per page', 'both', 'en', '', ''),
(NULL, 'no_data_to_display', 'No data to display', 'both', 'en', '', ''),
(NULL, 'displaying_data', 'Displaying data {0} - {1} of {2}', 'both', 'en', '', ''),
(NULL, 'installed_addons', 'Installed Addons', 'acp', 'en', '', ''),
(NULL, 'uninstall', 'Uninstall', 'acp', 'en', '', ''),
(NULL, 'addon_uninstalled', 'Addon uninstalled', 'acp', 'en', '', ''),
(NULL, 'addon_installed', 'Addon installed', 'acp', 'en', '', ''),
(NULL, 'addon_upgraded', 'Addon upgraded', 'acp', 'en', '', ''),
(NULL, 'error', 'An error occurred', 'both', 'en', '', ''),
(NULL, 'question_action_addon', 'Do you really want to {vaction} {vaddon} addon? Please check addon documentation before installing addon.', 'acp', 'en', '', ''),
(NULL, 'install', 'Install', 'acp', 'en', '', ''),
(NULL, 'question', 'Question', 'both', 'en', '', ''),
(NULL, 'version', 'Version', 'acp', 'en', '', ''),
(NULL, 'description', 'Description', 'both', 'en', '', ''),
(NULL, 'author', 'Author', 'acp', 'en', '', ''),
(NULL, 'available_addons', 'Available Addons', 'acp', 'en', '', ''),
(NULL, 'title', 'Title', 'both', 'en', '', ''),
(NULL, 'manage_addons', 'Manage Addons', 'acp', 'en', '', ''),
(NULL, 'filter_by_status', 'Filter by status', 'acp', 'en', '', ''),
(NULL, 'change_status', 'Change status', 'acp', 'en', '', ''),
(NULL, 'change_side', 'Change side', 'acp', 'en', '', ''),
(NULL, 'filter_by_side', 'Filter by side', 'acp', 'en', '', ''),
(NULL, 'name', 'Name', 'acp', 'en', '', ''),
(NULL, 'side', 'Side', 'acp', 'en', '', ''),
(NULL, 'addon', 'Addon', 'acp', 'en', '', ''),
(NULL, 'language', 'Language', 'both', 'en', '', ''),
(NULL, 'connecting', 'Connecting', 'both', 'en', '', ''),
(NULL, 'sending_data', 'Sending data', 'acp', 'en', '', ''),
(NULL, 'first_page', 'First Page', 'both', 'en', '', ''),
(NULL, 'last_page', 'Last Page', 'both', 'en', '', ''),
(NULL, 'next_page', 'Next Page', 'both', 'en', '', ''),
(NULL, 'prev_page', 'Previous Page', 'both', 'en', '', ''),
(NULL, 'refresh', 'Refresh', 'both', 'en', '', ''),
(NULL, 'code', 'Code', 'acp', 'en', '', ''),
(NULL, 'field_required', 'This field is required', 'both', 'en', '', ''),
(NULL, 'field_min_length', 'The minimum length for this field is {0}', 'both', 'en', '', ''),
(NULL, 'field_max_length', 'The maximum length for this field is {0}', 'both', 'en', '', ''),
(NULL, 'set_default', 'Set Default', 'acp', 'en', '', ''),
(NULL, 'check_all', 'Check All', 'acp', 'en', '', ''),
(NULL, 'uncheck_all', 'Uncheck All', 'acp', 'en', '', ''),
(NULL, 'create_cache', 'Create cache', 'acp', 'en', '', ''),
(NULL, 'cache_created', 'Cache created', 'acp', 'en', '', ''),
(NULL, 'acp_url', 'ACP URL', 'acp', 'en', '', ''),
(NULL, 'url', 'URL', 'acp', 'en', '', ''),
(NULL, 'restore_active_tab', 'Restore Last Active Tab', 'acp', 'en', '', ''),
(NULL, 'groups', 'Groups', 'acp', 'en', '', ''),
(NULL, 'yes', 'Yes', 'acp', 'en', '', ''),
(NULL, 'no', 'No', 'acp', 'en', '', ''),
(NULL, 'value', 'Value', 'acp', 'en', '', ''),
(NULL, 'textfield', 'TextField', 'acp', 'en', '', ''),
(NULL, 'textarea', 'TextArea', 'acp', 'en', '', ''),
(NULL, 'combofield', 'ComboField', 'acp', 'en', '', ''),
(NULL, 'divider', 'Divider', 'acp', 'en', '', ''),
(NULL, 'hiddenfield', 'HiddenField', 'acp', 'en', '', ''),
(NULL, 'type', 'Type', 'acp', 'en', '', ''),
(NULL, 'values', 'Values', 'acp', 'en', '', ''),
(NULL, 'group', 'Group', 'acp', 'en', '', ''),
(NULL, 'after_last_field', 'After last field', 'acp', 'en', '', ''),
(NULL, 'before_first_field', 'Before first field', 'acp', 'en', '', ''),
(NULL, 'after_field', 'After field', 'acp', 'en', '', ''),
(NULL, 'order', 'Order', 'acp', 'en', '', ''),
(NULL, 'na', 'N/A', 'acp', 'en', '', ''),
(NULL, 'choose_field', 'Choose field', 'acp', 'en', '', ''),
(NULL, 'acp_code', 'ACP Language Code', 'acp', 'en', '', ''),
(NULL, 'contents', 'Contents', 'both', 'en', '', ''),
(NULL, 'position', 'Position', 'acp', 'en', '', ''),
(NULL, 'left', 'Left', 'acp', 'en', '', ''),
(NULL, 'right', 'Right', 'acp', 'en', '', ''),
(NULL, 'top', 'Top', 'acp', 'en', '', ''),
(NULL, 'tree', 'Tree', 'acp', 'en', '', ''),
(NULL, 'bottom', 'Bottom', 'acp', 'en', '', ''),
(NULL, 'active', 'Active', 'both', 'en', '', ''),
(NULL, 'inactive', 'Inactive', 'both', 'en', '', ''),
(NULL, 'multi', 'Multi', 'acp', 'en', '', ''),
(NULL, 'both', 'Both', 'acp', 'en', '', ''),
(NULL, 'frontend', 'Frontend', 'acp', 'en', '', ''),
(NULL, 'all_sides', 'All Sides', 'acp', 'en', '', ''),
(NULL, 'all_statuses', 'All Statuses', 'acp', 'en', '', ''),
(NULL, 'custom_url', 'Custom URL', 'acp', 'en', '', ''),
(NULL, 'modrewrite', 'Apache mod_rewrite', 'acp', 'en', '', ''),
(NULL, 'content', 'Content', 'both', 'en', '', ''),
(NULL, 'invalid_value', 'Invalid value', 'both', 'en', '', ''),
(NULL, 'invalid_url', 'Invalid URL', 'acp', 'en', '', ''),
(NULL, '404', 'URL not found.', 'both', 'en', '', ''),
(NULL, '671', 'Permission denied.', 'both', 'en', '', ''),
(NULL, 'body', 'Body', 'both', 'en', '', ''),
(NULL, 'captcha', 'Captcha', 'acp', 'en', '', ''),
(NULL, 'text_email_templates', 'Text email templates', 'acp', 'en', '', ''),
(NULL, 'html_email_templates', 'Html email templates', 'acp', 'en', '', ''),
(NULL, 'site_title', 'Site Title', 'acp', 'en', '', ''),
(NULL, 'htmleditor', 'Html Editor', 'acp', 'en', '', ''),
(NULL, 'frontend_url', 'Frontend URL', 'acp', 'en', '', ''),
(NULL, 'frontend_tpl', 'Frontend Template', 'acp', 'en', '', ''),
(NULL, 'acp_tpl', 'ACP Template', 'acp', 'en', '', ''),
(NULL, 'title_suffix', 'Site Title Suffix', 'acp', 'en', '', ''),
(NULL, 'mail_method', 'Mail Method', 'acp', 'en', '', ''),
(NULL, 'mail', 'PHP Mail', 'acp', 'en', '', ''),
(NULL, 'smtp', 'SMTP', 'acp', 'en', '', ''),
(NULL, 'sendmail', 'Sendmail', 'acp', 'en', '', ''),
(NULL, 'smtp_user', 'SMTP Username', 'acp', 'en', '', ''),
(NULL, 'smtp_password', 'SMTP Password', 'acp', 'en', '', ''),
(NULL, 'site_email', 'Site Email', 'acp', 'en', '', ''),
(NULL, 'sendmail_path', 'Sendmail Path', 'acp', 'en', '', ''),
(NULL, 'smtp_port', 'SMTP Port', 'acp', 'en', '', ''),
(NULL, 'mime_type', 'Mime Type', 'acp', 'en', '', ''),
(NULL, 'subject', 'Subject', 'both', 'en', '', ''),
(NULL, 'do_not_reload_tabs', 'Do Not Reload Tabs', 'acp', 'en', '', ''),
(NULL, 'new_title', 'New title', 'acp', 'en', '', ''),
(NULL, 'changelog', 'Changelog', 'acp', 'en', '', ''),
(NULL, 'root', 'Root', 'both', 'en', '', ''),
(NULL, 'clickable', 'Clickable', 'acp', 'en', '', ''),
(NULL, 'vhook_title_beforesheet', 'Before sheet', 'other', 'en', '', ''),
(NULL, 'vhook_title_beforecopyright', 'Before copyright', 'other', 'en', '', ''),
(NULL, 'vhook_title_aftercopyright', 'After copyright', 'other', 'en', '', ''),
(NULL, 'vhook_title_afterfooter', 'After footer', 'other', 'en', '', ''),
(NULL, 'vhook_title_beforefooter', 'Before footer', 'other', 'en', '', ''),
(NULL, 'vhook_title_afterheader', 'After header', 'other', 'en', '', ''),
(NULL, 'vhook_title_beforeheader', 'Before header', 'other', 'en', '', ''),
(NULL, 'duration', 'Duration', 'acp', 'en', '', ''),
(NULL, 'delay', 'Delay', 'acp', 'en', '', ''),
(NULL, 'animate', 'Animate', 'acp', 'en', '', ''),
(NULL, 'vertical', 'Vertical', 'acp', 'en', '', ''),
(NULL, 'horizontal', 'Horizontal', 'acp', 'en', '', ''),
(NULL, 'direction', 'Direction', 'acp', 'en', '', ''),
(NULL, 'default', 'Default', 'acp', 'en', '', ''),
(NULL, 'style', 'Style', 'acp', 'en', '', ''),
(NULL, 'effect', 'Effect', 'acp', 'en', '', ''),
(NULL, 'slide', 'Slide', 'acp', 'en', '', ''),
(NULL, 'fade', 'Fade', 'acp', 'en', '', ''),
(NULL, 'links', 'Links', 'acp', 'en', '', ''),
(NULL, 'installation', 'Installation', 'acp', 'en', '', ''),
(NULL, 'documentation', 'Documentation', 'acp', 'en', '', ''),
(NULL, 'addon_install_info', 'After install/uninstall/upgrade addon you have to refresh page. Press `Yes` button to resfresh page now `No` to refresh page later if you have unsaved data.', 'acp', 'en', '', ''),
(NULL, 'save', 'Save', 'acp', 'en', '', ''),
(NULL, 'mod_rewrite', 'Apache mod_rewrite', 'acp', 'en', '', ''),
(NULL, 'disabled', 'Disabled', 'acp', 'en', '', ''),
(NULL, 'enabled', 'Enabled', 'acp', 'en', '', ''),
(NULL, 'ascii_character_set', 'You have to use ASCII character set', 'acp', 'en', '', ''),
(NULL, 'update', 'Update', 'acp', 'en', '', ''),
(NULL, 'logged_out', 'Logged out', 'frontend', 'en', '', ''),
(NULL, 'site_copyright', 'Powered by <a href="http://www.vesthelm.com/">Vesthelm EE</a><br />Copyright &copy; 2010-2011, Anton Kurbanov', 'both', 'en', '', ''),
(NULL, 'logo_text', 'Vesthelm', 'frontend', 'en', '', ''),
(NULL, 'invalid_email', 'Invalid email', 'both', 'en', '', ''),
(NULL, 'application', 'Application', 'acp', 'en', '', ''),
(NULL, 'application_upgraded', 'Application upgraded', 'acp', 'en', '', ''),
(NULL, 'application_uninstalled', 'Application uninstalled', 'acp', 'en', '', ''),
(NULL, 'application_install_info', 'After install/uninstall/upgrade application you have to refresh page. Press `Yes` button to resfresh page now `No` to refresh page later if you have unsaved data.', 'acp', 'en', '', ''),
(NULL, 'question_action_application', 'Do you really want to {vaction} {vapplication} application?', 'acp', 'en', '', ''),
(NULL, 'application_installed', 'Application installed', 'acp', 'en', '', ''),
(NULL, 'installed_applications', 'Installed Applications', 'acp', 'en', '', ''),
(NULL, 'invalid_captcha', 'Invalid captcha', 'both', 'en', '', ''),
(NULL, 'manage_applications', 'Manage Applications', 'acp', 'en', '', ''),
(NULL, 'available_applications', 'Available Applications', 'acp', 'en', '', ''),
(NULL, 'delete', 'Delete', 'acp', 'en', '', ''),
(NULL, 'vesthelm', 'Vesthelm', 'both', 'en', '', ''),
(NULL, 'total', 'Total', 'acp', 'en', '', ''),
(NULL, 'statistics', 'Statistics', 'acp', 'en', '', ''),
(NULL, 'active_addons', 'Active addons', 'acp', 'en', '', ''),
(NULL, 'inactive_addons', 'Inactive addons', 'acp', 'en', '', ''),
(NULL, 'active_applications', 'Active applications', 'acp', 'en', '', ''),
(NULL, 'inactive_applications', 'Inactive applications', 'acp', 'en', '', ''),
(NULL, 'dashboard', 'Dashboard', 'acp', 'en', '', ''),
(NULL, 'site_home_page', 'Site home page', 'acp', 'en', '', '');
#vend_sql