<?php

/**
 * @package Vesthelm Engine
 * @version 1.0.0
 * @copyright Copyright(c) 2010-2011, Anton Kurbanov
 * @license Open Source. For more details, please visit: http://www.vesthelm.com/license.html
 * @info Package generated specially for http://test.ir!
 */
defined('V_IN_INSTALLATION') or die('Powered by <a href="http://www.vesthelm.com/">Vesthelm EE</a>');

if (isset($_GET['action'])) {
    require_once(V_ACP_CLASSES . 'Json.php');
    $Json = new Services_JSON();

    if ('getServerConfiguration' == $_GET['action']) {
        $option = array();
        $rows = array();

        //check PHP version
        $option['title'] = 'PHP version' . ' (<b>' . PHP_VERSION . '</b>)';
        $option['value'] = version_compare(PHP_VERSION, '4.3.3', '>=');
        $rows[] = $option;

        //check XML support.
        $option['title'] = 'XML support';
        $option['value'] = extension_loaded('xml');
        $rows[] = $option;

        //check MySQL support.
        $exists = function_exists('mysql_connect');

        $option['title'] = 'MySQL support';
        $option['title'] .= $exists ? ' (<b>' . mysql_get_client_info() . '</b>)' : '';
        $option['value'] = $exists;
        $rows[] = $option;

        echo '({"data":' . $Json->encode($rows) . '})';

        exit;
    }

    if ('getReccomendedSettings' == $_GET['action']) {
        $option = array();
        $rows = array();

        //check safe mode
        $option['title'] = 'Safe Mode';
        $option['value'] = (bool) ini_get('safe_mode');
        $option['recommended'] = false;
        $rows[] = $option;

        //check display errors
        $option['title'] = 'Display Errors';
        $option['value'] = (bool) ini_get('display_errors');
        $option['recommended'] = false;
        $rows[] = $option;

        //check file uploads
        $option['title'] = 'File Uploads';
        $option['value'] = (bool) ini_get('file_uploads');
        $option['recommended'] = true;
        $rows[] = $option;

        //check magic quotes
        $option['title'] = 'Magic Quotes GPC';
        $option['value'] = (bool) ini_get('magic_quotes_runtime');
        $option['recommended'] = false;
        $rows[] = $option;

        //check register globals
        $option['title'] = 'Register Globals';
        $option['value'] = (bool) ini_get('register_globals');
        $option['recommended'] = false;
        $rows[] = $option;

        echo '({"data":' . $Json->encode($rows) . '})';

        exit;
    }

    if ('getPermissions' == $_GET['action']) {
        $option = array();
        $rows = array();

        $option['title'] = 'cfgs';
        $option['value'] = is_writable(V_MAIN . 'cfgs');
        $rows[] = $option;

        $option['title'] = 'compile_dir\acp';
        $option['value'] = is_writable(V_COMPILE_DIR . 'acp');
        $rows[] = $option;

        $option['title'] = 'compile_dir\frontend';
        $option['value'] = is_writable(V_COMPILE_DIR . 'frontend');
        $rows[] = $option;

        $option['title'] = 'compile_dir\cache';
        $option['value'] = is_writable(V_COMPILE_DIR . 'cache');
        $rows[] = $option;

        $option['title'] = 'compile_dir\log';
        $option['value'] = is_writable(V_COMPILE_DIR . 'log');
        $rows[] = $option;

        $option['title'] = 'uploads';
        $option['value'] = is_writable(V_MAIN . 'uploads');
        $rows[] = $option;

        echo '({"data":' . $Json->encode($rows) . '})';

        exit;
    }
}

require_once(V_STEPS . 'smarty.php');

$Smarty->display('step.tpl');
?>